Bug 220291 - www/chromium: build on arm64
Summary: www/chromium: build on arm64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm64 Any
: --- Affects Only Me
Assignee: Carlos J. Puga Medina
URL:
Keywords: needs-qa
Depends on: 220282
Blocks: 201763 224383
  Show dependency treegraph
 
Reported: 2017-06-26 18:20 UTC by Andrew Turner
Modified: 2017-12-16 15:40 UTC (History)
2 users (show)

See Also:
cpm: maintainer-feedback+


Attachments
Patch to build for arm64 (5.81 KB, patch)
2017-06-26 18:20 UTC, Andrew Turner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Turner freebsd_committer 2017-06-26 18:20:06 UTC
Created attachment 183816 [details]
Patch to build for arm64

The attached patch allows www/chromium to build on arm64. I have built this on a ThunderX in the netperf cluster.

Note that a base patch is needed that I'll be committing as soon as it's tested.
Comment 1 Carlos J. Puga Medina freebsd_committer 2017-06-26 19:46:25 UTC
(In reply to Andrew Turner from comment #0)

This is awesome!

Thanks for the patch set, Andrew
Comment 2 Carlos J. Puga Medina freebsd_committer 2017-08-08 09:30:20 UTC
Andrew,

Would you mind to provide a poudriere build log?

Thanks
Comment 3 Carlos J. Puga Medina freebsd_committer 2017-09-15 17:31:22 UTC
I've added arm64 support in chromium 61.

https://github.com/cpu82/chromium-wip/commit/84f89071720dab9e137b3bf8d33bd67f1cc33e40

At least it builds correctly after disabling vulcanize tool in chromium (tested with poudriere).
Comment 4 commit-hook freebsd_committer 2017-09-17 11:10:58 UTC
A commit references this bug:

Author: cpm
Date: Sun Sep 17 11:10:46 UTC 2017
New revision: 449991
URL: https://svnweb.freebsd.org/changeset/ports/449991

Log:
  www/chromium: update to 61.0.3163.79

  - Add arm64 support [1]
  - Fix segfault on i386 [2]
  - Switch to USES=compiler:c++14-lang for devel/chromium-gn because chromium
    needs __builtin_add_overflow and friends to build.

  Changelog: https://chromium.googlesource.com/chromium/src/+log/60.0.3112.113..61.0.3163.79?pretty=fuller&n=10000

  PR:		220291 [1], 221266 [2]
  Submitted by:	Andrew [1]
  Reported by:	Patrick <doctorwhoguy@gmail.com> [2]
  MFH:		2017Q3

Changes:
  head/www/chromium/Makefile
  head/www/chromium/distinfo
  head/www/chromium/files/extra-patch-libc++-new
  head/www/chromium/files/extra-patch-libc++-old
  head/www/chromium/files/patch-base_i18n_icu__util.cc
  head/www/chromium/files/patch-base_process_memory__unittest.cc
  head/www/chromium/files/patch-base_process_process__metrics__posix.cc
  head/www/chromium/files/patch-base_sys__info__posix.cc
  head/www/chromium/files/patch-base_task_scheduler_delayed_task_manager.cc
  head/www/chromium/files/patch-base_test_test__file__util__posix.cc
  head/www/chromium/files/patch-breakpad_BUILD.gn
  head/www/chromium/files/patch-build_config_BUILDCONFIG.gn
  head/www/chromium/files/patch-build_config_compiler_BUILD.gn
  head/www/chromium/files/patch-build_toolchain_linux_BUILD.gn
  head/www/chromium/files/patch-chrome_BUILD.gn
  head/www/chromium/files/patch-chrome_app_chrome__main.cc
  head/www/chromium/files/patch-chrome_app_chrome__main__delegate.cc
  head/www/chromium/files/patch-chrome_app_chromium__strings.grd
  head/www/chromium/files/patch-chrome_app_generated__resources.grd
  head/www/chromium/files/patch-chrome_app_google__chrome__strings.grd
  head/www/chromium/files/patch-chrome_app_theme_chrome_unscaled_resources.grd
  head/www/chromium/files/patch-chrome_browser_background_background_mode_optimizer.cc
  head/www/chromium/files/patch-chrome_browser_browser__process__impl.cc
  head/www/chromium/files/patch-chrome_browser_browser__resources.grd
  head/www/chromium/files/patch-chrome_browser_chrome__content__browser__client.cc
  head/www/chromium/files/patch-chrome_browser_download_download__commands.h
  head/www/chromium/files/patch-chrome_browser_extensions_BUILD.gn
  head/www/chromium/files/patch-chrome_browser_extensions_browser__context__keyed__service__factories.cc
  head/www/chromium/files/patch-chrome_browser_flag__descriptions.cc
  head/www/chromium/files/patch-chrome_browser_media_router_discovery_discovery_network_list_posix.cc
  head/www/chromium/files/patch-chrome_browser_media_router_discovery_discovery_network_list_wifi_linux.cc
  head/www/chromium/files/patch-chrome_browser_metrics_chrome__browser__main__extra__parts__metrics.cc
  head/www/chromium/files/patch-chrome_browser_password__manager_chrome__password__manager__client.cc
  head/www/chromium/files/patch-chrome_browser_prefs_browser_prefs.cc
  head/www/chromium/files/patch-chrome_browser_profiles_chrome_browser_main_extra_parts_profiles.cc
  head/www/chromium/files/patch-chrome_browser_ui_browser__view__prefs.cc
  head/www/chromium/files/patch-chrome_browser_ui_views_apps_chrome__native__app__window__views__aura.cc
  head/www/chromium/files/patch-chrome_browser_ui_views_profiles_avatar_button.cc
  head/www/chromium/files/patch-chrome_browser_ui_views_tabs_new_tab_button.cc
  head/www/chromium/files/patch-chrome_browser_ui_views_tabs_tab__strip.cc
  head/www/chromium/files/patch-chrome_browser_ui_webui_about__ui.cc
  head/www/chromium/files/patch-chrome_common_chrome__features.cc
  head/www/chromium/files/patch-chrome_common_chrome__features.h
  head/www/chromium/files/patch-chrome_common_features.gni
  head/www/chromium/files/patch-chrome_common_url__constants.cc
  head/www/chromium/files/patch-chrome_common_url__constants.h
  head/www/chromium/files/patch-components_autofill_content_renderer_password__form__conversion__utils.cc
  head/www/chromium/files/patch-components_content__settings_core_browser_website__settings__registry.cc
  head/www/chromium/files/patch-components_content__settings_core_browser_website__settings__registry.h
  head/www/chromium/files/patch-components_os__crypt_os__crypt.h
  head/www/chromium/files/patch-components_password__manager_core_browser_BUILD.gn
  head/www/chromium/files/patch-components_password__manager_core_browser_password_manager_metrics_util.cc
  head/www/chromium/files/patch-components_password__manager_core_browser_password_manager_metrics_util.h
  head/www/chromium/files/patch-components_password__manager_core_browser_password_reuse_defines.h
  head/www/chromium/files/patch-components_policy_BUILD.gn
  head/www/chromium/files/patch-components_policy_resources_policy__templates.json
  head/www/chromium/files/patch-components_policy_tools_generate__policy__source.py
  head/www/chromium/files/patch-components_storage__monitor_storage__monitor.cc
  head/www/chromium/files/patch-components_tracing_common_process__metrics__memory__dump__provider.cc
  head/www/chromium/files/patch-components_tracing_common_process__metrics__memory__dump__provider.h
  head/www/chromium/files/patch-components_variations_proto_study.proto
  head/www/chromium/files/patch-content_browser_BUILD.gn
  head/www/chromium/files/patch-content_browser_accessibility_browser__accessibility.h
  head/www/chromium/files/patch-content_browser_accessibility_browser__accessibility__manager.h
  head/www/chromium/files/patch-content_browser_accessibility_browser_accessibility_auralinux.cc
  head/www/chromium/files/patch-content_browser_zygote_host_zygote_host_impl_linux.h
  head/www/chromium/files/patch-content_public_browser_zygote_host_linux.h
  head/www/chromium/files/patch-content_renderer_render__thread__impl.cc
  head/www/chromium/files/patch-content_renderer_renderer_main.cc
  head/www/chromium/files/patch-content_shell_BUILD.gn
  head/www/chromium/files/patch-crypto_nss__util.cc
  head/www/chromium/files/patch-device_gamepad_BUILD.gn
  head/www/chromium/files/patch-headless_lib_browser_headless__content__browser__client.h
  head/www/chromium/files/patch-ipc_ipc__message__utils.cc
  head/www/chromium/files/patch-ipc_ipc__message__utils.h
  head/www/chromium/files/patch-net_dns_host__resolver__proc.cc
  head/www/chromium/files/patch-net_features.gni
  head/www/chromium/files/patch-printing_backend_print_backend_cups.h
  head/www/chromium/files/patch-remoting_host_setup_me2me_native_messaging_host_main.cc
  head/www/chromium/files/patch-sdch_BUILD.gn
  head/www/chromium/files/patch-services_catalog_public_cpp_manifest__parsing__util.cc
  head/www/chromium/files/patch-services_catalog_store.cc
  head/www/chromium/files/patch-services_catalog_store.h
  head/www/chromium/files/patch-services_device_time__zone__monitor_time__zone__monitor.cc
  head/www/chromium/files/patch-services_resource_coordinator_public_cpp_memory_instrumentation_os_metrics.h
  head/www/chromium/files/patch-services_resource_coordinator_public_cpp_memory_instrumentation_os_metrics_linux.cc
  head/www/chromium/files/patch-third__party_WebKit_Source_bindings_core_v8_V8ScriptRunner.cpp
  head/www/chromium/files/patch-third__party_WebKit_Source_core_editing_EditingBehavior.cpp
  head/www/chromium/files/patch-third__party_WebKit_Source_core_html_forms_InternalPopupMenu.cpp
  head/www/chromium/files/patch-third__party_WebKit_Source_platform_fonts_FontCache.cpp
  head/www/chromium/files/patch-third__party_WebKit_Source_platform_fonts_FontCache.h
  head/www/chromium/files/patch-third__party_WebKit_Source_platform_fonts_FontPlatformData.cpp
  head/www/chromium/files/patch-third__party_WebKit_Source_platform_fonts_FontPlatformData.h
  head/www/chromium/files/patch-third__party_WebKit_Source_platform_fonts_SimpleFontData.cpp
  head/www/chromium/files/patch-third__party_WebKit_Source_platform_fonts_skia_FontCacheSkia.cpp
  head/www/chromium/files/patch-third__party_WebKit_Source_platform_heap_StackFrameDepth.cpp
  head/www/chromium/files/patch-third__party_WebKit_Source_platform_wtf_Assertions.cpp
  head/www/chromium/files/patch-third__party_WebKit_Source_platform_wtf_Atomics.h
  head/www/chromium/files/patch-third__party_WebKit_Source_platform_wtf_ContainerAnnotations.h
  head/www/chromium/files/patch-third__party_WebKit_Source_platform_wtf_StackUtil.cpp
  head/www/chromium/files/patch-third__party_WebKit_Source_platform_wtf_ThreadingPthreads.cpp
  head/www/chromium/files/patch-third__party_WebKit_Source_web_PopupMenuImpl.cpp
  head/www/chromium/files/patch-third__party_angle_BUILD.gn
  head/www/chromium/files/patch-third__party_angle_src_gpu_info_util_SystemInfo_internal.h
  head/www/chromium/files/patch-third__party_angle_src_gpu_info_util_SystemInfo_linux.cpp
  head/www/chromium/files/patch-third__party_angle_src_gpu_info_util_SystemInfo_x11.cpp
  head/www/chromium/files/patch-third__party_boringssl_BUILD.gn
  head/www/chromium/files/patch-third__party_boringssl_src_crypto_cpu-aarch64-linux.c
  head/www/chromium/files/patch-third__party_ffmpeg_chromium_scripts_generate_gn.py
  head/www/chromium/files/patch-third__party_ffmpeg_ffmpeg__generated.gni
  head/www/chromium/files/patch-third__party_fontconfig_BUILD.gn
  head/www/chromium/files/patch-third__party_fontconfig_fontconfig.gni
  head/www/chromium/files/patch-third__party_libxml_chromium_libxml__utils.cc
  head/www/chromium/files/patch-third__party_pdfium_core_fxge_fx_ge_linux.cpp
  head/www/chromium/files/patch-third__party_pdfium_fpdfsdk_javascript_JS__Value.cpp
  head/www/chromium/files/patch-third__party_pdfium_xfa_fgas_font_cfgas_fontmgr.cpp
  head/www/chromium/files/patch-third__party_swiftshader_src_OpenGL_libEGL_EGLSurface.cpp
  head/www/chromium/files/patch-third__party_swiftshader_src_OpenGL_libEGL_Surface.cpp
  head/www/chromium/files/patch-third__party_swiftshader_src_OpenGL_libEGL_libEGL.cpp
  head/www/chromium/files/patch-third__party_webrtc_base_BUILD.gn
  head/www/chromium/files/patch-third__party_webrtc_base_byteorder.h
  head/www/chromium/files/patch-third__party_webrtc_base_httpcommon.cc
  head/www/chromium/files/patch-third__party_webrtc_base_ifaddrs__converter.h
  head/www/chromium/files/patch-third__party_webrtc_base_ipaddress.h
  head/www/chromium/files/patch-third__party_webrtc_base_network.cc
  head/www/chromium/files/patch-third__party_webrtc_base_network.h
  head/www/chromium/files/patch-third__party_webrtc_base_physicalsocketserver.cc
  head/www/chromium/files/patch-third__party_webrtc_base_platform__thread.cc
  head/www/chromium/files/patch-third__party_webrtc_base_stringutils.h
  head/www/chromium/files/patch-third__party_webrtc_rtc_base_BUILD.gn
  head/www/chromium/files/patch-third__party_webrtc_rtc_base_byteorder.h
  head/www/chromium/files/patch-third__party_webrtc_rtc_base_httpcommon.cc
  head/www/chromium/files/patch-third__party_webrtc_rtc_base_ifaddrs__converter.h
  head/www/chromium/files/patch-third__party_webrtc_rtc_base_ipaddress.h
  head/www/chromium/files/patch-third__party_webrtc_rtc_base_network.cc
  head/www/chromium/files/patch-third__party_webrtc_rtc_base_network.h
  head/www/chromium/files/patch-third__party_webrtc_rtc_base_physicalsocketserver.cc
  head/www/chromium/files/patch-third__party_webrtc_rtc_base_physicalsocketserver.h
  head/www/chromium/files/patch-third__party_webrtc_rtc_base_platform_thread.cc
  head/www/chromium/files/patch-third__party_webrtc_rtc_base_stringutils.h
  head/www/chromium/files/patch-tools_gn_bootstrap_bootstrap.py
  head/www/chromium/files/patch-tools_grit_grit__rule.gni
  head/www/chromium/files/patch-ui_base_BUILD.gn
  head/www/chromium/files/patch-ui_base_resource_resource__bundle__freebsd.cc
  head/www/chromium/files/patch-ui_gfx_BUILD.gn
  head/www/chromium/files/patch-ui_gfx_mojo_buffer_types_struct_traits.cc
  head/www/chromium/files/patch-ui_gl_BUILD.gn
  head/www/chromium/files/patch-ui_gl_generate_bindings.py
  head/www/chromium/files/patch-ui_native_theme_native_theme.h
  head/www/chromium/files/patch-ui_native_theme_native_theme_base.cc
  head/www/chromium/files/patch-ui_resources_ui__resources.grd
  head/www/chromium/files/patch-ui_strings_app_locale_settings.grd
  head/www/chromium/files/patch-ui_views_BUILD.gn
  head/www/chromium/files/patch-ui_views_mus_aura__init.cc
  head/www/chromium/files/patch-ui_views_views__switches.cc
  head/www/chromium/files/patch-ui_views_window_frame_background.cc
  head/www/chromium/files/patch-v8_src_base_cpu.cc
  head/www/chromium/pkg-plist
Comment 5 Carlos J. Puga Medina freebsd_committer 2017-09-17 11:12:28 UTC
Committed!

Thanks